package com.shining.cloud.enums.information;

/**
 * @description: 统计数据返回指标
 * @author: gbl
 **/

public enum StatisticsEnum {

    GETSTATISTICSDATA_SUCCESS(10301, "获取统计数据成功"),
    GETSTATISTICSDATA_FALL(10302, "获取统计数据失败"),
    
    GETSTATISTICSLIST_SUCCESS(10303, "获取统计数据列表详细信息成功"),
    GETSTATISTICSLIST_FALL(10304, "获取统计数据列表详细信息失败"),
    
    GETSTATISTICSTREND_SUCCESS(10305, "获取统计数据趋势图成功"),
    GETSTATISTICSTREND_FALL(10306, "获取统计数据趋势图失败");

    StatisticsEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private int code;

    private String msg;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "SteadyMsgCodeEnum{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                '}';
    }
}
